hasp dongles have version numbers. if you have the hasp version in the provided info wrong, it wont work.